Joltio Data / data.seats.move

Move a Data seat between workspaces

Move a Data seat between workspaces.

POST /v1/data/members/{user_id}/move-seat

Authentication
X-API-Key / Bearer
Formats
JSON
Rows per query
Not applicable

Parameters

NameTypeLocation
user_idstringpath
previous_ln_idstringbody
confirmedbooleanbody

Responses

200OK
401unauthorized: An API key or Bearer token is required.

curl

curl -X POST 'https://api.joltio.app/v1/data/members/00000000-0000-4000-8000-000000000001/move-seat' -H 'X-API-Key: $JOLTIO_API_KEY' -H 'Content-Type: application/json' -d '{"user_id":"00000000-0000-4000-8000-000000000001","previous_ln_id":"00000000-0000-4000-8000-000000000002","confirmed":true}'

Python

from joltio import Client
import json
with Client() as j:
    result = j.post('/v1/data/members/00000000-0000-4000-8000-000000000001/move-seat', json=json.loads('{"user_id":"00000000-0000-4000-8000-000000000001","previous_ln_id":"00000000-0000-4000-8000-000000000002","confirmed":true}'))

OpenAPI 3.1 · /data/openapi.json